Uploaded image for project: 'Red Hat Fuse'
  1. Red Hat Fuse
  2. ENTESB-9633

Unable to install fhir features

    XMLWordPrintable

Details

    • Bug
    • Status: Closed
    • Major
    • Resolution: Done
    • fuse-7.2
    • fuse-7.2
    • Karaf
    • None
    • % %
    • Fuse 7.2 Sprint 36

    Description

      Each fhir feature is unable to be installed due to

      org.osgi.service.resolver.ResolutionException: Unable to resolve root: missing requirement [root] osgi.identity; osgi.identity=hapi-fhir; type=karaf.feature; version="[3.5.0,3.5.0]"; filter:="(&(osgi.identity=hapi-fhir)(type=karaf.feature)(version>=3.5.0)(version<=3.5.0))" [caused by: Unable to resolve hapi-fhir/3.5.0: missing requirement [hapi-fhir/3.5.0] osgi.identity; osgi.identity=ca.uhn.hapi.fhir.hapi-fhir-base; type=osgi.bundle; version="[3.5.0,3.5.0]"; resolution:=mandatory [caused by: Unable to resolve ca.uhn.hapi.fhir.hapi-fhir-base/3.5.0: missing requirement [ca.uhn.hapi.fhir.hapi-fhir-base/3.5.0] osgi.wiring.package; filter:="(&(osgi.wiring.package=org.apache.commons.lang3)(version>=3.8.0)(!(version>=4.0.0)))"]]
      	at org.apache.felix.resolver.ResolutionError.toException(ResolutionError.java:42) ~[?:?]
      	at org.apache.felix.resolver.ResolverImpl.doResolve(ResolverImpl.java:391) ~[?:?]
      	at org.apache.felix.resolver.ResolverImpl.resolve(ResolverImpl.java:377) ~[?:?]
      	at org.apache.felix.resolver.ResolverImpl.resolve(ResolverImpl.java:331) ~[?:?]
      	at org.apache.karaf.features.internal.region.SubsystemResolver.resolve(SubsystemResolver.java:248) ~[?:?]
      	at org.apache.karaf.features.internal.service.Deployer.deploy(Deployer.java:388) ~[?:?]
      	at org.apache.karaf.features.internal.service.FeaturesServiceImpl.doProvision(FeaturesServiceImpl.java:1025) ~[?:?]
      	at org.apache.karaf.features.internal.service.FeaturesServiceImpl.lambda$doProvisionInThread$13(FeaturesServiceImpl.java:964) ~[?:?]
      	at java.util.concurrent.FutureTask.run(FutureTask.java:266) ~[?:?]
      	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149) ~[?:?]
      	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624) ~[?:?]
      	at java.lang.Thread.run(Thread.java:748) [?:?]
      

      list of affected features:

      • camel-fhir
      • hapi-fhir
      • hapi-fhir-client
      • hapi-fhir-dstu2
      • hapi-fhir-dstu2.1
      • hapi-fhir-dstu3
      • hapi-fhir-hl7org-dstu2
      • hapi-fhir-r4
      • hapi-fhir-utilities
      • hapi-fhir-validation

      Attachments

        Activity

          People

            acosenti Andrea Cosentino
            vhais Vratislav Hais
            Vratislav Hais Vratislav Hais
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: